Sommaire

La compatibilité avec Internet Explorer INTERNET EXPLORER:Compatibilité BOOTSTRAP:Compatibilité

1. L’objectif INTERNET EXPLORER:Librairies JavaScript

Nous l’avons indiqué en début de chapitre, Bootstrap utilise HTML5 et les Media Queries. Les Media Queries font parties des CSS3 et ne sont pas parfaitement reconnues par les versions plus anciennes d’Internet Explorer. Pour avoir une compatibilité avec ces anciennes versions, il convient d’utiliser des librairies JavaScript qui vont « convertir » les éléments HTML5/CSS3 non reconnus, afin qu’ils soient utilisables.

Pour cette compatibilité avec les anciennes versions d’Internet Explorer, nous allons utiliser deux librairies JavaScript : html5shiv.js et respond.min.js.

Pour utiliser ces deux librairies, vous pouvez les télécharger et faire les liaisons avec les fichiers .js ou bien faire des liens vers leur site de dépôt.

2. Télécharger la librairie html5shiv.js INTERNET EXPLORER:html5shiv.js

Pour télécharger html5shiv.js, allez à cette URL : https://code.google.com/p/html5shiv/

Sur la page d’accueil, dans la zone Usage, cliquez sur le lien download html5shiv.

images/C02-017.png

Décompressez l’archive .zip téléchargée.

Dans le dossier décompressé, vous trouvez un dossier nommé dist. Ce dossier contient le fichier html5shiv.js.

Dans le dossier de votre site Web, vous pouvez ...